SYSTEMD-IMDS(1)

BEZEICHNUNG
systemd-imds, systemd-imds-import.service - Werkzeug für Cloud IMDS (Instanzen-Metadaten-Dienst)

ÜBERSICHT

systemd-imds-import.service

systemd-imds [OPTIONEN…] [SCHLÜSSEL]

BESCHREIBUNG

systemd-imds ist ein Werkzeug zum Erlangen von Daten aus dem IMDS (Instanzen-Metadaten-Dienst), wie er von vielen Cloud-Umgebungen bereitgestellt wird. Er ist ein Client für systemd-imdsd@.service(8) und bietet Zugriff auf IMDS-Daten aus Shell-Umgebungen.

Dieses Werkzeug kann in einem von fünf Modi agieren:

    • Ohne positionsabhängige Argumente (und ohne den Schalter --well-known=) werden allgemeine IMDS-Dienstedaten und ein paar gut bekannte Felder in menschenfreundlicher Form dargestellt.

    • Mit einem positionsabhängigen Argument (und ohne --well-known=) werden die vom angegebenen Schlüssel referenzierten IMDS-Daten erlangt und in unverarbeiteter Form in die Standardausgabe geschrieben. IMDS-Schlüssel sind Teil der IMDS-Erlangungs-URL, die an die Basis-URL angehängt wird. IMDS-Schlüssel müssen mit einem Schrägstrich (»/«) anfangen. Beachten Sie, dass IMDS-Schlüssel typischerweise implementierungsabhängig sind.

    • Mit angegebener Option --well-known= (Beschreibung siehe unten), wird das gut bekannte Feld in unverarbeiteter Form in die Standardausgabe geschrieben. Das Konzept der gut bekannten Felder abstrahiert IMDS-Implementierungsunterschiede auf eine Stufe und legt damit eine vereinheitlichte Schnittstelle für IMDS-Felder offen, die typischerweise auf vielen verschiedenen Implementierungen existiert, aber unter implementierungsabhängigen Schlüsseln.

    • Ist die (nachfolgend beschriebene) Option --userdata angegeben, dann werden die mittels IMDS bereitgestellten »userdata« in die Standardausgabe geschrieben. Intern ist dies zu --well-known=userdata-base, --well-known=userdata oder --well-known=userdata-base64 ähnlich. Jeder der drei wird (in dieser Reihenfolge) ausprobiert und der erste verfügbare wird zurückgeliefert. Für --well-known=userdata-base wird der »systemd-userdata« Benutzerdateneintrag angefordert. Für --well-known=userdata-base64 sind die zurückgelieferten Daten automatisch Base64-dekodiert.

    • Wenn die Option --import angegeben ist, dann werden verschiedene gut bekannte und Benutzerdatenfelder in den lokalen Zugangsberechtigungsspeicher importiert, wo sie dann zur Konfiguration und Parametrisierung des Systems verwandt werden. Details hierzu finden Sie weiter unten.

OPTIONEN UND BEFEHLE

--well-known=, -K
    Akzeptiert entweder »hostname«, »region«, »zone«, »ipv4-public«, »ipv6-public«, »ssh-key«, »userdata«, »userdata-base«, »userdata-base64«. Erlangt ein bestimmtes, »gut bekanntes« Feld vom IMDS. Viele dieser Felder werden normalerweise von verschiedenen IMDS-Implementierungen unterstützt, aber typischerweise gilt dies für einzelne Felder nicht. Beachten Sie, dass ein zusätzlicher Unterschlüssel als positionsabhängiges Argument angegeben werden sollte, falls --well-known=userdata-base verwandt wird. Dieser kodiert den bestimmten, zu erlangenden Benutzerdateneintrag.

    Hinzugefügt in Version 261.

--refresh=
    Akzeptiert als Argument eine Zeit in Sekunden und zeigt die benötigte »Frischheit« der Daten an, falls Zwischenspeicherung verwandt wird.

    Hinzugefügt in Version 261.

--cache=
    Akzeptiert einen logischen Wert. Falls auf »false« gesetzt, wird Zwischenspeicherung für IMDS deaktiviert und die Daten werden immer frisch aus dem IMDS-Enpunkt erlangt.

    Hinzugefügt in Version 261.

--userdata, -u
    Erlangt die IMDS-Benutzerdaten der Instanz, falls verfügbar. Details hierzu finden Sie weiter oben.

    Hinzugefügt in Version 261.

--import
    Erlangt IMDS-Daten und schreibt relevante Felder als Zugangsberechtigungen nach /run/credstore/. Derzeit deckt dies folgendes ab:

        • Falls die IMDS-Benutzerdaten ein gültiges JSON-Objekt sind, das ein Feld systemd.credentials (mit einem JSON-Feld als Wert) enthält, wird es verarbeitet und beliebige in diesem Feld aufgeführte Zugangsberechtigungen werden importiert. Jeder Feldeintrag muss ein Feld name haben, das den Zugangsberechtigungsnamen anzeigt. Es darf über eines der Felder text, data oder encrypted verfügen, das Zugangsberechtigungsdaten enthält. Falls text verwandt wird, muss der Wert den Zugangsberechtigungswert wörtlich wiedergeben. Falls data verwandt wird, darf der Wert beliebige binäre Daten enthalten, die in einer Base64-kodierten Zeichenkette enthalten sind. Falls encrypted verwandt wird, muss der Wert eine Base64-kodierte verschlüsselte Zugangsberechtigung sein. Lesen Sie systemd.system-credentials(7) für Informationen über Zugangsberechtigungen, die auf diese Art importiert werden können.

        • Falls das gut bekannte Feld ssh-key verfügbar ist, wird sein Wert in die Zugangsberechtigung ssh.authorized_keys.root importiert.

        • Falls das gut bekannte Feld hostname verfügbar ist, wird sein Wert in die Zugangsberechtigung firstboot.hostname importiert.

    Dieser Befehl wird von systemd-imds-import.service beim Systemstart aufgerufen.

    Hinzugefügt in Version 261.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

SIEHE AUCH

systemd(1), systemd-imdsd@.service(8), systemd-imds-generator(8), systemd.system-credentials(7)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).